| Home | Libraries | People | FAQ | More

##### static_execution_state::affected_rows

Returns the number of rows affected by the SQL statement associated to this resultset. Note that this is NOT the number of matched rows. If a row is matched but not affected, it won't be accounted for here.

###### Synopsis

    std::uint64_t
    affected_rows() const noexcept;

###### Exception safety

No-throw guarantee.

###### Preconditions

`this->complete() == true || this->should_read_head() == true`